curl -X POST 'https://api.sendforsign.com/api/user' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"user": {
"userKey": "USER_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"customKey": "YOUR_COMBINATION"
}
}
}'
{
"user": {
"changeTime": "2023-12-01 12:18:55",
"userKey": "USER_KEY",
},
"code": "201",
"message": "User updated"
}
User
Update user
Update an existing user.
POST
/
api
/
user
curl -X POST 'https://api.sendforsign.com/api/user' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"user": {
"userKey": "USER_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"customKey": "YOUR_COMBINATION"
}
}
}'
{
"user": {
"changeTime": "2023-12-01 12:18:55",
"userKey": "USER_KEY",
},
"code": "201",
"message": "User updated"
}
Body parameters
object
required
Show child attribute
Show child attribute
string
required
Action type.
string
required
Key of the client.
Response
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/user' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"user": {
"userKey": "USER_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"customKey": "YOUR_COMBINATION"
}
}
}'
{
"user": {
"changeTime": "2023-12-01 12:18:55",
"userKey": "USER_KEY",
},
"code": "201",
"message": "User updated"
}
⌘I